"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BackgroundType = exports.PollLayoutDirection = exports.PollLayoutType = exports.VoteRole = exports.ViewRole = exports.MapType = exports.Position = exports.Source = exports.GIFType = exports.ThumbnailsAlignment = exports.Crop = exports.Orientation = exports.LayoutType = exports.ViewMode = exports.Alignment = exports.Width = exports.LineStyle = exports.TextAlignment = exports.Target = exports.Type = exports.PluginContainerDataAlignment = exports.WidthType = exports.NodeType = exports.onCommentUpdated = exports.onCommentResourceCommentCountChanged = exports.onCommentCreated = exports.onCommentUnmarked = exports.onCommentPublished = exports.onCommentMoved = exports.onCommentMarked = exports.onCommentHidden = exports.onCommentContentChanged = exports.bulkMoveCommentByFilter = exports.bulkModerateDraftContent = exports.bulkDeleteComment = exports.bulkHideComment = exports.bulkPublishComment = exports.getCommentThread = exports.listCommentsByResource = exports.countComments = exports.publishComment = exports.hideComment = exports.unmarkComment = exports.markComment = exports.queryComments = exports.moderateDraftContent = exports.deleteComment = exports.updateComment = exports.getComment = exports.createComment = void 0;
exports.WebhookIdentityType = exports.ReplySortOrder = exports.Order = exports.SortOrder = exports.Action = exports.VersioningMode = exports.Status = exports.NullValue = exports.VerticalAlignment = exports.Direction = exports.InitialExpandedItems = exports.AppType = exports.FontType = exports.DecorationType = void 0;
const comments_v2_comment_comments_public_js_1 = require("./comments-v2-comment-comments.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const comments_v2_comment_comments_public_js_2 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_3 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_4 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_5 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_6 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_7 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_8 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_9 = require("./comments-v2-comment-comments.public.js");
const comments_v2_comment_comments_public_js_10 = require("./comments-v2-comment-comments.public.js");
exports.createComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.createComment);
exports.getComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.getComment);
exports.updateComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.updateComment);
exports.deleteComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.deleteComment);
exports.moderateDraftContent = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.moderateDraftContent);
exports.queryComments = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.queryComments);
exports.markComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.markComment);
exports.unmarkComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.unmarkComment);
exports.hideComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.hideComment);
exports.publishComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.publishComment);
exports.countComments = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.countComments);
exports.listCommentsByResource = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.listCommentsByResource);
exports.getCommentThread = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.getCommentThread);
exports.bulkPublishComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.bulkPublishComment);
exports.bulkHideComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.bulkHideComment);
exports.bulkDeleteComment = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.bulkDeleteComment);
exports.bulkModerateDraftContent = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.bulkModerateDraftContent);
exports.bulkMoveCommentByFilter = (0, rest_modules_1.createRESTModule)(comments_v2_comment_comments_public_js_1.bulkMoveCommentByFilter);
/**
 * Triggered when comment content is updated.
 */
exports.onCommentContentChanged = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_2.onCommentContentChanged);
/**
 * Triggered when a comment is hidden.
 */
exports.onCommentHidden = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_3.onCommentHidden);
/**
 * Triggered when a comment is marked.
 */
exports.onCommentMarked = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_4.onCommentMarked);
/**
 * Triggered when a comment is moved.
 */
exports.onCommentMoved = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_5.onCommentMoved);
/**
 * Triggered when a comment is published.
 */
exports.onCommentPublished = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_6.onCommentPublished);
/**
 * Triggered when a comment is unmarked.
 */
exports.onCommentUnmarked = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_7.onCommentUnmarked);
/**
 * Triggered when a comment is created.
 */
exports.onCommentCreated = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_8.onCommentCreated);
/**
 * Triggered when the total number of comments has changed in a resource.
 */
exports.onCommentResourceCommentCountChanged = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_9.onCommentResourceCommentCountChanged);
/**
 * Triggered when a comment is updated.
 */
exports.onCommentUpdated = (0, event_definition_modules_1.createEventModule)(comments_v2_comment_comments_public_js_10.onCommentUpdated);
var comments_v2_comment_comments_universal_js_1 = require("./comments-v2-comment-comments.universal.js");
Object.defineProperty(exports, "NodeType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.NodeType; } });
Object.defineProperty(exports, "WidthType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.WidthType; } });
Object.defineProperty(exports, "PluginContainerDataAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.PluginContainerDataAlignment; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Type; } });
Object.defineProperty(exports, "Target", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Target; } });
Object.defineProperty(exports, "TextAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.TextAlignment; } });
Object.defineProperty(exports, "LineStyle", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.LineStyle; } });
Object.defineProperty(exports, "Width", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Width; } });
Object.defineProperty(exports, "Alignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Alignment; } });
Object.defineProperty(exports, "ViewMode", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.ViewMode; } });
Object.defineProperty(exports, "LayoutType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.LayoutType; } });
Object.defineProperty(exports, "Orientation", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Orientation; } });
Object.defineProperty(exports, "Crop", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Crop; } });
Object.defineProperty(exports, "ThumbnailsAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.ThumbnailsAlignment; } });
Object.defineProperty(exports, "GIFType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.GIFType; } });
Object.defineProperty(exports, "Source", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Source; } });
Object.defineProperty(exports, "Position", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Position; } });
Object.defineProperty(exports, "MapType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.MapType; } });
Object.defineProperty(exports, "ViewRole", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.ViewRole; } });
Object.defineProperty(exports, "VoteRole", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.VoteRole; } });
Object.defineProperty(exports, "PollLayoutType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.PollLayoutType; } });
Object.defineProperty(exports, "PollLayoutDirection", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.PollLayoutDirection; } });
Object.defineProperty(exports, "BackgroundType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.BackgroundType; } });
Object.defineProperty(exports, "DecorationType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.DecorationType; } });
Object.defineProperty(exports, "FontType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.FontType; } });
Object.defineProperty(exports, "AppType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.AppType; } });
Object.defineProperty(exports, "InitialExpandedItems", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.InitialExpandedItems; } });
Object.defineProperty(exports, "Direction", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Direction; } });
Object.defineProperty(exports, "VerticalAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.VerticalAlignment; } });
Object.defineProperty(exports, "NullValue", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.NullValue; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Status; } });
Object.defineProperty(exports, "VersioningMode", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.VersioningMode; } });
Object.defineProperty(exports, "Action", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Action; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "Order", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.Order; } });
Object.defineProperty(exports, "ReplySortOrder", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.ReplySortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=comments-v2-comment-comments.context.js.map