"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReplySortOrder = exports.Position = exports.PollLayoutType = exports.PollLayoutDirection = exports.PluginContainerDataAlignment = exports.Orientation = exports.Order = exports.NullValue = exports.NodeType = exports.MapType = exports.LineStyle = exports.LayoutType = exports.InitialExpandedItems = exports.GIFType = exports.FontType = exports.Direction = exports.DecorationType = exports.Crop = exports.BackgroundType = exports.AppType = exports.Alignment = exports.Action = exports.onCommentUpdated = exports.onCommentResourceCommentCountChanged = exports.onCommentCreated = exports.onCommentUnmarked = exports.onCommentPublished = exports.onCommentMoved = exports.onCommentMarked = exports.onCommentHidden = exports.onCommentContentChanged = exports.bulkMoveCommentByFilter = exports.bulkModerateDraftContent = exports.bulkDeleteComment = exports.bulkHideComment = exports.bulkPublishComment = exports.getCommentThread = exports.listCommentsByResource = exports.countComments = exports.publishComment = exports.hideComment = exports.unmarkComment = exports.markComment = exports.queryComments = exports.moderateDraftContent = exports.deleteComment = exports.updateComment = exports.getComment = exports.createComment = exports.__metadata = void 0;
exports.WidthType = exports.Width = exports.WebhookIdentityType = exports.VoteRole = exports.ViewRole = exports.ViewMode = exports.VerticalAlignment = exports.VersioningMode = exports.Type = exports.ThumbnailsAlignment = exports.TextAlignment = exports.Target = exports.Status = exports.Source = exports.SortOrder = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const audio_1 = require("@wix/sdk-runtime/transformations/audio");
const document_1 = require("@wix/sdk-runtime/transformations/document");
const float_1 = require("@wix/sdk-runtime/transformations/float");
const image_1 = require("@wix/sdk-runtime/transformations/image");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const video_v2_1 = require("@wix/sdk-runtime/transformations/video-v2");
const sdk_types_1 = require("@wix/sdk-types");
const comments_v2_comment_comments_universal_js_1 = require("./comments-v2-comment-comments.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/comments' };
function createComment(httpClient) {
    return (comment) => (0, comments_v2_comment_comments_universal_js_1.createComment)(comment, 
    // @ts-ignore
    { httpClient });
}
exports.createComment = createComment;
function getComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.getComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.getComment = getComment;
function updateComment(httpClient) {
    return (_id, comment) => (0, comments_v2_comment_comments_universal_js_1.updateComment)(_id, comment, 
    // @ts-ignore
    { httpClient });
}
exports.updateComment = updateComment;
function deleteComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.deleteComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteComment = deleteComment;
function moderateDraftContent(httpClient) {
    return (commentId, revision, options) => (0, comments_v2_comment_comments_universal_js_1.moderateDraftContent)(commentId, revision, options, 
    // @ts-ignore
    { httpClient });
}
exports.moderateDraftContent = moderateDraftContent;
function queryComments(httpClient) {
    return (appId) => (0, comments_v2_comment_comments_universal_js_1.queryComments)(appId, 
    // @ts-ignore
    { httpClient });
}
exports.queryComments = queryComments;
function markComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.markComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.markComment = markComment;
function unmarkComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.unmarkComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.unmarkComment = unmarkComment;
function hideComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.hideComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.hideComment = hideComment;
function publishComment(httpClient) {
    return (commentId) => (0, comments_v2_comment_comments_universal_js_1.publishComment)(commentId, 
    // @ts-ignore
    { httpClient });
}
exports.publishComment = publishComment;
function countComments(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.countComments)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.countComments = countComments;
function listCommentsByResource(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.listCommentsByResource)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.listCommentsByResource = listCommentsByResource;
function getCommentThread(httpClient) {
    return (commentId, options) => (0, comments_v2_comment_comments_universal_js_1.getCommentThread)(commentId, options, 
    // @ts-ignore
    { httpClient });
}
exports.getCommentThread = getCommentThread;
function bulkPublishComment(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.bulkPublishComment)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkPublishComment = bulkPublishComment;
function bulkHideComment(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.bulkHideComment)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkHideComment = bulkHideComment;
function bulkDeleteComment(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.bulkDeleteComment)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkDeleteComment = bulkDeleteComment;
function bulkModerateDraftContent(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.bulkModerateDraftContent)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkModerateDraftContent = bulkModerateDraftContent;
function bulkMoveCommentByFilter(httpClient) {
    return (appId, options) => (0, comments_v2_comment_comments_universal_js_1.bulkMoveCommentByFilter)(appId, options, 
    // @ts-ignore
    { httpClient });
}
exports.bulkMoveCommentByFilter = bulkMoveCommentByFilter;
exports.onCommentContentChanged = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_content_changed', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.previousContent.commentDate' },
            {
                path: 'data.previousContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.previousContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.currentContent.commentDate' },
            {
                path: 'data.currentContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.currentContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.previousContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.previousContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.previousContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.previousContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.previousContent.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.currentContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.currentContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.currentContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.currentContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.previousContent.attachments.image' },
            { path: 'data.currentContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.previousContent.attachments.video' },
            { path: 'data.currentContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.previousContent.attachments.audio' },
            { path: 'data.currentContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.previousContent.attachments.document' },
            { path: 'data.currentContent.attachments.document' },
        ],
    },
])))();
exports.onCommentHidden = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_hidden', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.comment.createdDate' },
            { path: 'data.comment.updatedDate' },
            { path: 'data.comment.commentDate' },
            { path: 'data.comment.content.commentDate' },
            {
                path: 'data.comment.content.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.content.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.comment.draftContent.commentDate' },
            {
                path: 'data.comment.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.comment.content.attachments.image' },
            { path: 'data.comment.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.comment.content.attachments.video' },
            { path: 'data.comment.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.comment.content.attachments.audio' },
            { path: 'data.comment.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.comment.content.attachments.document' },
            { path: 'data.comment.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentMarked = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_marked', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.comment.createdDate' },
            { path: 'data.comment.updatedDate' },
            { path: 'data.comment.commentDate' },
            { path: 'data.comment.content.commentDate' },
            {
                path: 'data.comment.content.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.content.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.comment.draftContent.commentDate' },
            {
                path: 'data.comment.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.comment.content.attachments.image' },
            { path: 'data.comment.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.comment.content.attachments.video' },
            { path: 'data.comment.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.comment.content.attachments.audio' },
            { path: 'data.comment.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.comment.content.attachments.document' },
            { path: 'data.comment.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentMoved = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_moved', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.comment.createdDate' },
            { path: 'data.comment.updatedDate' },
            { path: 'data.comment.commentDate' },
            { path: 'data.comment.content.commentDate' },
            {
                path: 'data.comment.content.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.content.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.comment.draftContent.commentDate' },
            {
                path: 'data.comment.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.comment.content.attachments.image' },
            { path: 'data.comment.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.comment.content.attachments.video' },
            { path: 'data.comment.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.comment.content.attachments.audio' },
            { path: 'data.comment.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.comment.content.attachments.document' },
            { path: 'data.comment.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentPublished = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_published', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.comment.createdDate' },
            { path: 'data.comment.updatedDate' },
            { path: 'data.comment.commentDate' },
            { path: 'data.comment.content.commentDate' },
            {
                path: 'data.comment.content.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.content.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.comment.draftContent.commentDate' },
            {
                path: 'data.comment.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.comment.content.attachments.image' },
            { path: 'data.comment.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.comment.content.attachments.video' },
            { path: 'data.comment.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.comment.content.attachments.audio' },
            { path: 'data.comment.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.comment.content.attachments.document' },
            { path: 'data.comment.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentUnmarked = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_comment_unmarked', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.comment.createdDate' },
            { path: 'data.comment.updatedDate' },
            { path: 'data.comment.commentDate' },
            { path: 'data.comment.content.commentDate' },
            {
                path: 'data.comment.content.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.content.richContent.metadata.updatedTimestamp',
            },
            { path: 'data.comment.draftContent.commentDate' },
            {
                path: 'data.comment.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'data.comment.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'data.comment.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'data.comment.content.attachments.image' },
            { path: 'data.comment.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'data.comment.content.attachments.video' },
            { path: 'data.comment.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'data.comment.content.attachments.audio' },
            { path: 'data.comment.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'data.comment.content.attachments.document' },
            { path: 'data.comment.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentCreated = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.commentDate' },
            { path: 'entity.content.commentDate' },
            { path: 'entity.content.richContent.metadata.createdTimestamp' },
            { path: 'entity.content.richContent.metadata.updatedTimestamp' },
            { path: 'entity.draftContent.commentDate' },
            {
                path: 'entity.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'entity.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'entity.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'entity.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'entity.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'entity.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'entity.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'entity.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'entity.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'entity.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'entity.content.attachments.image' },
            { path: 'entity.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'entity.content.attachments.video' },
            { path: 'entity.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'entity.content.attachments.audio' },
            { path: 'entity.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'entity.content.attachments.document' },
            { path: 'entity.draftContent.attachments.document' },
        ],
    },
])))();
exports.onCommentResourceCommentCountChanged = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_resource_comment_count_changed', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onCommentUpdated = (0, sdk_types_1.EventDefinition)('wix.comments.v2.comment_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'entity.commentDate' },
            { path: 'entity.content.commentDate' },
            { path: 'entity.content.richContent.metadata.createdTimestamp' },
            { path: 'entity.content.richContent.metadata.updatedTimestamp' },
            { path: 'entity.draftContent.commentDate' },
            {
                path: 'entity.draftContent.richContent.metadata.createdTimestamp',
            },
            {
                path: 'entity.draftContent.richContent.metadata.updatedTimestamp',
            },
            { path: 'metadata.eventTime' },
        ],
    },
    {
        transformFn: float_1.transformRESTFloatToSDKFloat,
        paths: [
            {
                path: 'entity.content.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'entity.content.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'entity.content.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'entity.content.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'entity.content.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'entity.content.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'entity.content.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'entity.content.richContent.nodes.audioData.coverImage.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.image.media.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.video.media.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.items.video.thumbnail.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.galleryData.options.item.ratio',
            },
            {
                path: 'entity.draftContent.richContent.nodes.imageData.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.mapData.mapSettings.lat',
            },
            {
                path: 'entity.draftContent.richContent.nodes.mapData.mapSettings.lng',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.poll.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.poll.options.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.pollData.design.poll.background.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.appEmbedData.image.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.videoData.video.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.videoData.thumbnail.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.audioData.audio.duration',
            },
            {
                path: 'entity.draftContent.richContent.nodes.audioData.coverImage.duration',
            },
        ],
    },
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'entity.content.attachments.image' },
            { path: 'entity.draftContent.attachments.image' },
        ],
    },
    {
        transformFn: video_v2_1.transformRESTVideoV2ToSDKVideoV2,
        paths: [
            { path: 'entity.content.attachments.video' },
            { path: 'entity.draftContent.attachments.video' },
        ],
    },
    {
        transformFn: audio_1.transformRESTAudioToSDKAudio,
        paths: [
            { path: 'entity.content.attachments.audio' },
            { path: 'entity.draftContent.attachments.audio' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [
            { path: 'entity.content.attachments.document' },
            { path: 'entity.draftContent.attachments.document' },
        ],
    },
])))();
var comments_v2_comment_comments_universal_js_2 = require("./comments-v2-comment-comments.universal.js");
Object.defineProperty(exports, "Action", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Action; } });
Object.defineProperty(exports, "Alignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Alignment; } });
Object.defineProperty(exports, "AppType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.AppType; } });
Object.defineProperty(exports, "BackgroundType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.BackgroundType; } });
Object.defineProperty(exports, "Crop", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Crop; } });
Object.defineProperty(exports, "DecorationType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.DecorationType; } });
Object.defineProperty(exports, "Direction", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Direction; } });
Object.defineProperty(exports, "FontType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.FontType; } });
Object.defineProperty(exports, "GIFType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.GIFType; } });
Object.defineProperty(exports, "InitialExpandedItems", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.InitialExpandedItems; } });
Object.defineProperty(exports, "LayoutType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.LayoutType; } });
Object.defineProperty(exports, "LineStyle", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.LineStyle; } });
Object.defineProperty(exports, "MapType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.MapType; } });
Object.defineProperty(exports, "NodeType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.NodeType; } });
Object.defineProperty(exports, "NullValue", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.NullValue; } });
Object.defineProperty(exports, "Order", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Order; } });
Object.defineProperty(exports, "Orientation", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Orientation; } });
Object.defineProperty(exports, "PluginContainerDataAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.PluginContainerDataAlignment; } });
Object.defineProperty(exports, "PollLayoutDirection", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.PollLayoutDirection; } });
Object.defineProperty(exports, "PollLayoutType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.PollLayoutType; } });
Object.defineProperty(exports, "Position", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Position; } });
Object.defineProperty(exports, "ReplySortOrder", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.ReplySortOrder; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "Source", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Source; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Status; } });
Object.defineProperty(exports, "Target", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Target; } });
Object.defineProperty(exports, "TextAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.TextAlignment; } });
Object.defineProperty(exports, "ThumbnailsAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.ThumbnailsAlignment; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Type; } });
Object.defineProperty(exports, "VersioningMode", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.VersioningMode; } });
Object.defineProperty(exports, "VerticalAlignment", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.VerticalAlignment; } });
Object.defineProperty(exports, "ViewMode", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.ViewMode; } });
Object.defineProperty(exports, "ViewRole", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.ViewRole; } });
Object.defineProperty(exports, "VoteRole", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.VoteRole; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.WebhookIdentityType; } });
Object.defineProperty(exports, "Width", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.Width; } });
Object.defineProperty(exports, "WidthType", { enumerable: true, get: function () { return comments_v2_comment_comments_universal_js_2.WidthType; } });
//# sourceMappingURL=comments-v2-comment-comments.public.js.map