"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bulkMoveCommentByFilter = exports.bulkModerateDraftContent = exports.bulkDeleteComment = exports.bulkHideComment = exports.bulkPublishComment = exports.getCommentThread = exports.listCommentsByResource = exports.countComments = exports.publishComment = exports.hideComment = exports.unmarkComment = exports.markComment = exports.queryComments = exports.moderateDraftContent = exports.deleteComment = exports.updateComment = exports.getComment = exports.createComment = void 0;
const ambassadorWixCommentsV2Comment = __importStar(require("./comments-v2-comment-comments.http.js"));
function createComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.createComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createComment = createComment;
function getComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.getComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/{commentId}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getComment = getComment;
function updateComment() {
    const payload = { comment: { id: ':commentId' } };
    const getRequestOptions = ambassadorWixCommentsV2Comment.updateComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/comments/{comment.id}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateComment = updateComment;
function deleteComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.deleteComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/comments/{commentId}',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteComment = deleteComment;
function moderateDraftContent() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.moderateDraftContent(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/{commentId}/moderate',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.moderateDraftContent = moderateDraftContent;
function queryComments() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.queryComments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/query-cursor',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryComments = queryComments;
function markComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.markComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/mark',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.markComment = markComment;
function unmarkComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.unmarkComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/unmark',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.unmarkComment = unmarkComment;
function hideComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.hideComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/hide',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.hideComment = hideComment;
function publishComment() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.publishComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/comments/{commentId}/publish',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.publishComment = publishComment;
function countComments() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.countComments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/comments/count',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.countComments = countComments;
function listCommentsByResource() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.listCommentsByResource(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/list-by-resource',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listCommentsByResource = listCommentsByResource;
function getCommentThread() {
    const payload = { commentId: ':commentId' };
    const getRequestOptions = ambassadorWixCommentsV2Comment.getCommentThread(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/comments/{commentId}/thread',
        pathParams: { commentId: 'commentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getCommentThread = getCommentThread;
function bulkPublishComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkPublishComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/bulk/comments/publish-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkPublishComment = bulkPublishComment;
function bulkHideComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkHideComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/hide-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkHideComment = bulkHideComment;
function bulkDeleteComment() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkDeleteComment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/delete-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkDeleteComment = bulkDeleteComment;
function bulkModerateDraftContent() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkModerateDraftContent(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/bulk/comments/moderate-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkModerateDraftContent = bulkModerateDraftContent;
function bulkMoveCommentByFilter() {
    const payload = {};
    const getRequestOptions = ambassadorWixCommentsV2Comment.bulkMoveCommentByFilter(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/bulk/comments/move-by-filter',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.bulkMoveCommentByFilter = bulkMoveCommentByFilter;
//# sourceMappingURL=comments-v2-comment-comments.meta.js.map